
function PiirAlk1( M, alkiot, vari);
%piirtofunktioita 1:	function PiirAlk1( M, alkiot, vari);
%	miss
%	M	= relaation nelimuotoinen 0-1-matriisi
%	alkiot	= alkioiden vektori
%	vari	= optionaalinen, alkion vri,
%			oletusarvo 'ow' = valkea rinkula
%	Piirt alkiot tasavlein vastapivn yksikkympyrn kehlle,
%	1. alkio 90 asteen kulmaan positiivisen x-akselin suhteen.
%	Relaation tulee olla mritelty jossakin joukossa  X x X.
%	Jos relaatio on mritelty joukossa X x Y, 
%		piirr funktiolla 'PiirAlk2'.

%	Martti E. Pesonen 25.5. 1991  11.9.2000 ja 26.10.2004

M = logical(M);
oletusvari = 'ow'; ympsade = 1; numetkerr = (ympsade + 0.2)/ympsade;
if (nargin < 3) vari = oletusvari; end	% oletusarvo rinkula
n	= max(size(M));
kulmat	= ((1:n) - 1) * (2*pi)/n + pi/2;	% kaikkien n alkion kulmat
xt = ympsade*cos(kulmat);		% x-koordinaatit
yt = ympsade*sin(kulmat);		% y-koordinaatit
for i = alkiot			% piirretn VAIN alkiot
	plot( xt(i), yt(i), vari)
	text( numetkerr*xt(i), numetkerr*yt(i), int2str(i)) % numeroidaan 1...n
end
