
function PiirRel2( M, vari);
%piirtofunktioita 2:	function PiirRel2( M, vari);
%	miss
%	M	= relaation 0-1-matriisi
%	vari	= optionaalinen, piirtovri, vain entiseen kuvaan piirrossa
%				jos esiintyy, piirretn nuolet vrill 'vari'
%	Piirt 
%	  joukon X alkiot vasemmalle pystysuoralle
%	  joukon Y alkiot  oikealle  pystysuoralle
%	  nuolet janoiksi vasemmalta oikealle
%	Relaation tulee olla mritelty jossakin joukossa  X x Y. 
%	Jos relaatio on mritelty joukossa X x X, 
%		voi piirt mys funktiolla 'PiirRel1'.

%	Martti E. Pesonen 22.5.1991 17.9.2000 ja 26.10.2004

M = logical(M);
oletusvari = '-r'; xminmax = [-1.5 1.9]; yminmax = [-1.3 1.3];
vasen = -1.5; oikea = 1.5; ala = -1.3; yla = 1.3; keski = 0;
x1siirto = -0.2; x2siirto = +0.1; ysiirto = -0.05;
if (nargin == 1)
clf, hold off; 
axis([xminmax yminmax]); hold on; axis('off'); vari = oletusvari;
end
[n, m]  = size(M);
X1 = vasen * ones(1,n); X2 =  oikea * ones(1,m);
if (n == 1)  Y1 = keski; else,	Y1 =  yla - (yla-ala)/(n-1) * (0:n-1); end
if (m == 1)  Y2 = keski; else,	Y2 =  yla - (yla-ala)/(m-1) * (0:m-1); end
plot( X1, Y1, 'ow', X2, Y2, 'ow')
for i = 1:n   text( X1(i)+2*x1siirto, Y1(i)+ysiirto, ['x',int2str(i)]); end
for i = 1:m   text( X2(i)+2*x2siirto, Y2(i)+ysiirto, ['y',int2str(i)]); end
lahdot = find(any(M'));
for i = lahdot
  tulot = find(M(i,:));
  plot([vasen;oikea],[Y1(i)*ones(1,max(size(tulot))); Y2(tulot)],vari)
end
